# muteRemoteAudio method Null safety

Future<void> muteRemoteAudio(

1. String userId,
2. bool mute

)

Mute/Unmute the specified remote user's audio

Parameters:

userId Remote user ID

mute true: muted; false: unmuted

Note: when the specified user is muted, the system will stop receiving and playing back the user's remote audio stream. When the user is unmuted, the system will automatically pull and play back the user's remote audio stream.

## Implementation

    Future<void> muteRemoteAudio(
        String userId, // Remote user ID
        bool mute // true: muted; false: not muted
        ) {
      return _channel.invokeMethod('muteRemoteAudio', {
        "userId": userId,
        "mute": mute,
      });
    }